<!DOCTYPE html>
<html lang="en">
<head>
    <title>Sell ticket</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"  crossorigin="anonymous"></script>
</head>
<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="/">Ticketing System</a>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="/events">Events</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/sellATicket">Sell your ticket</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="usedTickets">Buy a used ticket</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <div class="container">
    <div class="row">
      <div class="col-md-6 offset-md-3 mt-5">
        <h2 class="text-center mb-4">Sell Ticket</h2>
        <form id="sellTicketForm">
          <div class="mb-3">
            <label for="userAddress" class="form-label">Your Address:</label>
            <input type="text" class="form-control" id="userAddress" name="userAddress">
          </div>
          <div class="mb-3">
            <label for="privateKey" class="form-label">Private Key:</label>
            <input type="password" class="form-control" id="privateKey" name="privateKey">
          </div>
          <div class="mb-3">
            <label for="sellTicketId" class="form-label">Ticket ID:</label>
            <input type="number" class="form-control" id="sellTicketId" name="ticketId">
          </div>
          <div class="mb-3">
            <label for="sellingPrice" class="form-label">Sell Price (in wei):</label>
            <input type="number" class="form-control" id="sellingPrice" name="price">
          </div>
          <button type="submit" class="btn btn-primary">Sell Ticket</button>
        </form>
      </div>
    </div>
  </div>


<script>document.getElementById('sellTicketForm').addEventListener('submit', async (event) => {
    event.preventDefault();
    const ticketId = event.target.ticketId.value;
    const price = event.target.price.value;
    const account = event.target.userAddress.value;
    const privateKey = event.target.privateKey.value;
  
    const response = await fetch('/sellTicket', {
      method: 'POST',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify({ ticketId, price, account, privateKey }),
    });
  
    const result = await response.json();
  
    if (result.success) {
      console.log('Ticket sold successfully. Transaction receipt:', result.txReceipt);
    } else {
      console.error('Error selling ticket:', result.error);
    }
});

  </script>

</body>
</html>